Bug 810622 - unoconv not compatible with LibreOffice
unoconv not compatible with LibreOffice
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unoconv (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-07 05:49 EDT by Pablo Rodríguez
Modified: 2012-05-05 21:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: unoconv-0.5-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-05 21:30:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Rodríguez 2012-04-07 05:49:14 EDT
Trying to convert http://www.users.dircon.co.uk/~hancock/antioch2.doc, I get this:

$ unoconv -f pdf antioch2.doc 
Warning: -headless is deprecated.  Use --headless instead.
Warning: -invisible is deprecated.  Use --invisible instead.
Unknown option -nocrashreport
Run 'soffice --help' to see a full list of available command line options.
Warning: -nodefault is deprecated.  Use --nodefault instead.
Warning: -nofirststartwizard is deprecated.  Use --nofirststartwizard instead.
Warning: -nologo is deprecated.  Use --nologo instead.
Warning: -norestore is deprecated.  Use --norestore instead.
Warning: -accept=socket,host=localhost,port=2002;urp;StarOffice.ComponentContext is deprecated.  Use --accept=socket,host=localhost,port=2002;urp;StarOffice.ComponentContext instead.
Error: Unable to connect or start own listener. Aborting.

After recompiling and installing the srpm from http://koji.fedoraproject.org/koji/buildinfo?buildID=309644, it works fine.

I guess that unoconv-0.4-6 should be built for Fedora 16.

Many thanks for your help,


Pablo
Comment 1 David Tardon 2012-04-10 00:54:52 EDT
Note that the missing -nocrashreport problem has been fixed in our libreoffice package meanwhile--in libreoffice-3.4.5.2-10.fc16 .
Comment 2 Pablo Rodríguez 2012-04-11 15:30:59 EDT
It works, but with the following warnings:

$ unoconv -f pdf antioch2.doc 
Warning: -headless is deprecated.  Use --headless instead.
Warning: -invisible is deprecated.  Use --invisible instead.
Warning: -nodefault is deprecated.  Use --nodefault instead.
Warning: -nofirststartwizard is deprecated.  Use --nofirststartwizard instead.
Warning: -nologo is deprecated.  Use --nologo instead.
Warning: -norestore is deprecated.  Use --norestore instead.
Warning: -accept=socket,host=localhost,port=2002;urp;StarOffice.ComponentContext is deprecated.  Use --accept=socket,host=localhost,port=2002;urp;StarOffice.ComponentContext instead.

I wonder whether it would be better to rebuild it for Fedora 16 (since only unoconv-0.4-4.fc15.noarch is available):

Many thanks for your help,


Pablo
Comment 3 Dag Wieers 2012-04-20 08:11:46 EDT
unoconv 0.5 has been released, fixing this issue.
Comment 4 Fedora Update System 2012-04-25 13:19:32 EDT
unoconv-0.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/unoconv-0.5-1.fc16
Comment 5 Fedora Update System 2012-04-27 02:03:15 EDT
Package unoconv-0.5-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing unoconv-0.5-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6765/unoconv-0.5-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-05-05 21:30:03 EDT
unoconv-0.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.